-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
    electrics.values['doorglassFR'] = 0
    electrics.values['doorglassFR_input'] = 0
	electrics.values['doorglassFL'] = 0
    electrics.values['doorglassFL_input'] = 0
	electrics.values['doorglassRL'] = 0
    electrics.values['doorglassRL_input'] = 0
	electrics.values['doorglassRR'] = 0
    electrics.values['doorglassRR_input'] = 0

end



local function updateGFX(dt)
    electrics.values['doorglassFR'] = math.min(1, math.max(-0.0, (electrics.values['doorglassFR'] + electrics.values['doorglassFR_input'] * dt)))
	electrics.values['doorglassFL'] = math.min(1, math.max(-0.0, (electrics.values['doorglassFL'] + electrics.values['doorglassFL_input'] * dt)))
	electrics.values['doorglassRR'] = math.min(1, math.max(-0.0, (electrics.values['doorglassRR'] + electrics.values['doorglassRR_input'] * dt)))
	electrics.values['doorglassRL'] = math.min(1, math.max(-0.0, (electrics.values['doorglassRL'] + electrics.values['doorglassRL_input'] * dt)))
    
    
end



-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
